Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.random
Class EmpiricalDistributionImpl.DataAdapterFactory

    java.lang.Object
      org.apache.commons.math.random.EmpiricalDistributionImpl.DataAdapterFactory

Enclosing class:
  EmpiricalDistributionImpl

    private class EmpiricalDistributionImpl.DataAdapterFactory

extends Object

Factory of `DataAdapter` objects. For every supported source of data (array of doubles, file, etc.) an instance of the proper object is returned.

Constructor Summary
`private` | `EmpiricalDistributionImpl.DataAdapterFactory()`

Method Summary
`EmpiricalDistributionImpl.DataAdapter` | `getAdapter(Object in)` Creates a DataAdapter from a data object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmpiricalDistributionImpl.DataAdapterFactory

    private EmpiricalDistributionImpl.DataAdapterFactory()

Method Detail

### getAdapter

    public EmpiricalDistributionImpl.DataAdapter getAdapter(Object in)

  Creates a DataAdapter from a data object

  Parameters:
    `in` - object providing access to the data
  Returns:
    DataAdapter instance

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-2013 Apache Software Foundation